//
//  ZFJVoiceBubble.h
//  打分界面
//
//  Created by ZFJ on 2017/3/8.
//  Copyright © 2017年 ZFJ. All rights reserved.
//

#import <UIKit/UIKit.h>

@class ZFJVoiceBubble;

@protocol ZFJVoiceBubbleDelegate <NSObject>

- (void)voiceBubbleDidStartPlaying:(ZFJVoiceBubble *)voiceBubble;

- (void)voiceBubbleStratOrStop:(BOOL)isStart;// YES 开始播放  NO 停止播放

@end

@interface ZFJVoiceBubble : UIView

@property (strong, nonatomic) NSURL *contentURL;
@property (assign, nonatomic) BOOL  invert;       //是否翻转显示
@property (assign, nonatomic) BOOL isHaveBar;     //有没有navigationBar
@property (assign, nonatomic) id<ZFJVoiceBubbleDelegate> delegate;
@property (strong, nonatomic) NSString *userName;//用户姓名

- (void)play;              //开始播放
- (void)pause;             //暂停
- (void)stop;              //停止

- (void)startAnimating;    //开始动画
- (void)stopAnimating;     //结束动画

@end
